## org.eclipse.emf.cdo.spi.server
Class LongIDStore

    java.lang.Object
      org.eclipse.net4j.util.event.Notifier
          org.eclipse.net4j.util.lifecycle.Lifecycle
              org.eclipse.emf.cdo.spi.server.Store
                  org.eclipse.emf.cdo.spi.server.LongIDStore

All Implemented Interfaces:
  IStore, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.event.INotifier.Introspection, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection

    public abstract class LongIDStore

extends Store

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore
`IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Field Summary

Fields inherited from class org.eclipse.emf.cdo.spi.server.Store
`CRASHED`

Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`USE_LABEL`

Constructor Summary
`LongIDStore(java.lang.String type, java.util.Set<IStore.ChangeFormat> supportedChangeFormats, java.util.Set<IStore.RevisionTemporality> supportedRevisionTemporalities, java.util.Set<IStore.RevisionParallelism> supportedRevisionParallelisms)`

Method Summary
`CDOIDLibraryDescriptor` `getCDOIDLibraryDescriptor()`
`CDOIDLibraryProvider` `getCDOIDLibraryProvider()`
`CDOIDObjectFactory` `getCDOIDObjectFactory()`
`long` `getLastObjectID()`
`CDOID` `getNextCDOID()`
`void` `setLastObjectID(long lastObjectID)`

Methods inherited from class org.eclipse.emf.cdo.spi.server.Store

`createExactMatchContext, createReader, createWriter, getIndicatingCommitDistributor, getLastMetaID, getNextMetaIDRange, getReader, getReaderPool, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, getWriter, getWriterPool, releaseAccessor, set, setLastMetaID, setRepository, setRevisionParallelism, setRevisionTemporality`

Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

Methods inherited from class org.eclipse.net4j.util.event.Notifier
`addListener, fireEvent, getListeners, getNotificationExecutorService, hasListeners, listenersEmptyChanged, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.server.IStore
`getCreationTime, isFirstTime`

Constructor Detail

### LongIDStore

    public LongIDStore(java.lang.String type,
                       java.util.Set<IStore.ChangeFormat> supportedChangeFormats,
                       java.util.Set<IStore.RevisionTemporality> supportedRevisionTemporalities,
                       java.util.Set<IStore.RevisionParallelism> supportedRevisionParallelisms)

Method Detail

### getCDOIDObjectFactory

    public CDOIDObjectFactory getCDOIDObjectFactory()

### getCDOIDLibraryDescriptor

    public CDOIDLibraryDescriptor getCDOIDLibraryDescriptor()

### getCDOIDLibraryProvider

    public CDOIDLibraryProvider getCDOIDLibraryProvider()

### getLastObjectID

    public long getLastObjectID()

### setLastObjectID

    public void setLastObjectID(long lastObjectID)

### getNextCDOID

    public CDOID getNextCDOID()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.